## org.eclipse.datatools.enablement.sybase.asa.ui
Class ASAImages

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.ui.ASAImages

    public class ASAImages

extends java.lang.Object

Author:
  Shi-feng Yu

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOTETABLE`
`static java.lang.String` `IMG_REMOTETABLE`

Constructor Summary
`ASAImages()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_REMOTETABLE

    public static final java.lang.String IMG_REMOTETABLE

See Also:
  Constant Field Values

### DESC_REMOTETABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOTETABLE

Constructor Detail

### ASAImages

    public ASAImages()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key